org.modeshape.jcr.index.local

## Class IndexSpec.SingleColumnSpec

- java.lang.Object
- - org.modeshape.jcr.index.local.IndexSpec
  - - org.modeshape.jcr.index.local.IndexSpec.SingleColumnSpec

- Enclosing class:
    IndexSpec

      protected static class IndexSpec.SingleColumnSpec
      extends IndexSpec

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.index.local.IndexSpec

      `IndexSpec.SingleColumnSpec`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.index.local.IndexSpec

      `context, serializers`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexSpec.SingleColumnSpec(ExecutionContext context, IndexDefinition defn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.mapdb.BTreeKeySerializer<?>` | `getBTreeKeySerializer()`
    `protected PropertyType` | `getColumnType()`
    `Comparator<?>` | `getComparator()`
    `IndexValues.Converter<?>` | `getConverter()`
    `org.mapdb.Serializer<?>` | `getSerializer()`
    `Class<?>` | `getValueClass()`

    - ### Methods inherited from class org.modeshape.jcr.index.local.IndexSpec

      `create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexSpec.SingleColumnSpec

          protected IndexSpec.SingleColumnSpec(ExecutionContext context,
                                    IndexDefinition defn)

  - ### Method Detail

    - #### getSerializer

          public org.mapdb.Serializer<?> getSerializer()

      Specified by:
        `getSerializer` in class `IndexSpec`

    - #### getBTreeKeySerializer

          public org.mapdb.BTreeKeySerializer<?> getBTreeKeySerializer()

      Specified by:
        `getBTreeKeySerializer` in class `IndexSpec`

    - #### getComparator

          public Comparator<?> getComparator()

      Specified by:
        `getComparator` in class `IndexSpec`

    - #### getValueClass

          public Class<?> getValueClass()

      Specified by:
        `getValueClass` in class `IndexSpec`

    - #### getColumnType

          protected PropertyType getColumnType()

    - #### getConverter

          public IndexValues.Converter<?> getConverter()

      Specified by:
        `getConverter` in class `IndexSpec`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.